## arping 1.04

=== Makefile ===
# $Id: Makefile,v 1.15 2001/11/18 18:25:43 marvin Exp $
TARGETS=arping

USE_NETIF=0
OPENBSD=0
LINUX=0
SOLARIS=0
FREEBSD=0
MACOSX=0

# explicit pcap include dir is for redhat which is fux0red
CFLAGS=-g -I/usr/local/include -L/usr/local/lib -DUSE_NETIF=$(USE_NETIF) -DOPENBSD=$(OPENBSD) -DLINUX=$(LINUX) -DSOLARIS=$(SOLARIS) -DFREEBSD=$(FREEBSD) -DMACOSX=$(MACOSX) -I/usr/include/pcap

usage:
	@echo
	@echo "usage: make [ target ]"
	@echo "Target can be freebsd, openbsd, linux, solaris or macosx"
	@echo
	@echo "Make doc will re-create the manpage"
	@echo "You may use make install after"
	@echo

doc: arping.yodl
	yodl2man -o arping.8 arping.yodl

linux:
	make USE_NETIF=1 LINUX=1 all

freebsd:
	make USE_NETIF=1 FREEBSD=1 all

macosx:
	make USE_NETIF=1 MACOSX=1 all

openbsd:
	make OPENBSD=1 all

solaris:
	make USE_NETIF=0 SOLARIS=1 all

install:
	install -c arping /usr/local/bin/arping
	install arping.8 /usr/local/man/man8/arping.8

all: $(TARGETS)

arping.o: arping.c
	gcc -Wall $(CFLAGS) -c `libnet-config --defines` `libnet-config --cflags` arping.c

O_arping=arping.o
arping: $(O_arping)
	gcc $(CFLAGS) -g -o $@ $(O_arping) `libnet-config --libs` -lpcap

clean:
	rm -f *.o $(TARGETS)

## arping 2.01

=== Makefile ===
# $Id: Makefile,v 1.24 2003/06/21 16:42:02 marvin Exp $
TARGETS=arping

USE_NETIF=0
FINDIF=1
OPENBSD=0
LINUX=0
SOLARIS=0
FREEBSD=0
MACOSX=0

CC=gcc
# explicit pcap include dir is for redhat which is fux0red
CFLAGS=-g -I/usr/local/include -L/usr/local/lib -DFINDIF=$(FINDIF) -DUSE_NETIF=$(USE_NETIF) -DOPENBSD=$(OPENBSD) -DLINUX=$(LINUX) -DSOLARIS=$(SOLARIS) -DFREEBSD=$(FREEBSD) -DMACOSX=$(MACOSX) -I/usr/include/pcap

all: message arping2

message:
	@echo ""
	@echo "Will now try to compile arping 2.x. If you have Libnet 1.0.x"
	@echo "(as opposed to 1.1.x) then this will fail and you should try"
	@echo "compiling arping 1.x."
	@echo ""
	@echo "Note that arping 1.x has been tested *A LOT* more than "
	@echo "arping 2.x, so if you have problems (especially compilation"
	@echo "problems), then try arping 1.x with libnet 1.0.x. Also, mail"
	@echo "me about it. thomas@habets.pp.se"
	@echo ""
	@echo "For information on how to compile arping 1.x, type "
	@echo "'make arping1'"
	@echo ""
	sleep 3

arping1:
	@echo
	@echo "usage: make [ target ]"
	@echo "Target can be one of: "
	@echo "freebsd, openbsd, netbsd, linux, solaris or macosx"
	@echo
	@echo "Important note!"
	@echo
	@echo "   Arping 1.x will only work with libnet 1.0.x, not 1.1.x"
	@echo "   BUT, arping 2.x will work with 1.1.x."
	@echo
	@echo "   Create arping 2.x by typing 'make'"
	@echo "   Arping 2.x has been known to work most architectures"
	@echo "   that arping 1.x works on, but arping 1.x has been tested"
	@echo "   more"
	@echo
	@echo "   Read README for more details."
	@echo

doc: arping.yodl
	yodl2man -o arping.8 arping.yodl

linux-nofindif:
	make USE_NETIF=1 LINUX=1 FINDIF=0 arping1-make
linux:
	make USE_NETIF=1 LINUX=1 arping1-make

freebsd:
	make USE_NETIF=1 FREEBSD=1 arping1-make

macosx:
	make USE_NETIF=1 MACOSX=1 arping1-make

openbsd:
	make OPENBSD=1 arping1-make
netbsd:
	make openbsd

solaris:
	make USE_NETIF=0 SOLARIS=1 arping1-make

install:
	install -c arping /usr/local/bin/arping
	install arping.8 /usr/local/man/man8/arping.8

arping.o: arping.c
	$(CC) -Wall $(CFLAGS) -c `libnet-config --defines` `libnet-config --cflags` arping.c

O_arping=arping.o
arping1-make: $(O_arping)
	$(CC) $(CFLAGS) -g -o arping $(O_arping) `libnet-config --libs` -lpcap

O_arping2=arping-2/arping.c
arping2: arping-2/arping
arping-2/arping: $(O_arping2)
	$(CC) `libnet-config --libs --defines --cflags` -o arping arping-2/arping.c -lnet -lpcap

clean:
	rm -f *.o $(TARGETS)

distclean: clean
	rm -f config{.cache,.h,.log,.status}

maintainerclean: distclean
	rm -f config{.h.in,ure}

## arping 2.05

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,16 @@
-# $Id: Makefile,v 1.24 2003/06/21 16:42:02 marvin Exp $
+# $Id: Makefile 1125 2004-08-29 18:47:37Z marvin $
 TARGETS=arping
 
+CD=cd
+CP=cp
+TAR=tar
+GPG=gpg
+MAKE=make
+RM=rm
+SUDO=sudo
+
+# This is only for arping1, arping2 has it in the .c, and it should prolly
+# be moved to autoconf
 USE_NETIF=0
 FINDIF=1
 OPENBSD=0
@@ -54,23 +64,23 @@
 	yodl2man -o arping.8 arping.yodl
 
 linux-nofindif:
-	make USE_NETIF=1 LINUX=1 FINDIF=0 arping1-make
+	$(MAKE) USE_NETIF=1 LINUX=1 FINDIF=0 arping1-make
 linux:
-	make USE_NETIF=1 LINUX=1 arping1-make
+	$(MAKE) USE_NETIF=1 LINUX=1 arping1-make
 
 freebsd:
-	make USE_NETIF=1 FREEBSD=1 arping1-make
+	$(MAKE) USE_NETIF=1 FREEBSD=1 arping1-make
 
 macosx:
-	make USE_NETIF=1 MACOSX=1 arping1-make
+	$(MAKE) USE_NETIF=1 MACOSX=1 arping1-make
 
 openbsd:
-	make OPENBSD=1 arping1-make
+	$(MAKE) OPENBSD=1 arping1-make
 netbsd:
-	make openbsd
+	$(MAKE) openbsd
 
 solaris:
-	make USE_NETIF=0 SOLARIS=1 arping1-make
+	$(MAKE) USE_NETIF=0 SOLARIS=1 arping1-make
 
 install:
 	install -c arping /usr/local/bin/arping
@@ -83,10 +93,16 @@
 arping1-make: $(O_arping)
 	$(CC) $(CFLAGS) -g -o arping $(O_arping) `libnet-config --libs` -lpcap
 
+SYS=$(shell uname -s)
+ifeq ($(SYS),SunOS)
+EXTRA_LIBS=-lsocket -lnsl
+endif
+
 O_arping2=arping-2/arping.c
 arping2: arping-2/arping
 arping-2/arping: $(O_arping2)
-	$(CC) `libnet-config --libs --defines --cflags` -o arping arping-2/arping.c -lnet -lpcap
+#	$(CC) `libnet-config --libs --defines --cflags` -o arping arping-2/arping.c -lnet -lpcap
+	$(CC) -g -o arping arping-2/arping.c -lnet -lpcap $(EXTRA_LIBS)
 
 clean:
 	rm -f *.o $(TARGETS)
@@ -94,5 +110,51 @@
 distclean: clean
 	rm -f config{.cache,.h,.log,.status}
 
+V=$(shell grep version arping-2/arping.c|grep const|sed 's:[a-z =]*::;s:f;::')
+DFILE=arping-$(V).tar.gz
+DDIR=arping-$(V)
+dist:
+	($(CD) ..; \
+	$(CP) -ax arping $(DDIR); \
+	$(RM) -fr $(DDIR)/{.\#*,CVS,.svn,*~} \
+		$(DDIR)/arping-2/{.\#*,CVS,.svn,*~}; \
+	$(MAKE) -C $(DDIR) doc; \
+	$(TAR) cfz $(DFILE) $(DDIR); \
+	$(GPG) -b -a $(DFILE); \
+	)
+test: arping2
+	@echo Testing with destination host $(HOST) and MAC $(MAC)
+#	Easy ones
+	@$(SUDO) ./arping -c 1 -q $(HOST) || echo fail: arping host
+	@$(SUDO) ./arping -c 1 -q $(shell $(SUDO) ./arping -c 1 -r $(HOST)) \
+		|| echo fail: arping mac
+	$(shell $(SUDO) ./arping -c 1 -q -t 00:11:22:33:44:55 $(HOST) \
+		&& echo fail: -t switch)
+
+#	-A
+	$(shell $(SUDO) ./arping -c 1 -q -A $(HOST) \
+		&& echo fail: -A switch)
+	$(shell $(SUDO) ./arping -c 1 -q -A $(MAC) \
+		&& echo fail: -A switch)
+
+#	Directed pings
+	$(shell $(SUDO) ./arping -c 1 -q -t $(MAC) $(HOST) \
+		|| echo fail: -t switch 2)
+	$(shell $(SUDO) ./arping -c 1 -q -T $(HOST) $(MAC) \
+		|| echo fail: -T switch)
+	$(shell $(SUDO) ./arping -c 1 -q -A -t $(MAC) $(HOST) \
+		|| echo fail: -t switch with -A)
+	$(shell $(SUDO) ./arping -c 1 -q -A -T $(HOST) $(MAC) \
+		|| echo fail: -T switch with -A)
+
+#	Ok both ways?
+	$(shell [ `$(SUDO) ./arping -c 1 -r $(HOST)` = $(MAC) ] \
+		|| echo fail: host to MAC translation weird)
+	$(shell [ `$(SUDO) ./arping -c 1 -R $(HOST)` = \
+		  `$(SUDO) ./arping -c 1 -r $(MAC)` ] \
+		|| echo fail: host to MAC translation and back weird)
+
+#	FIXME: more tests listed in arping.c
+
 maintainerclean: distclean
 	rm -f config{.h.in,ure}

## arping 2.07~pre1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 1125 2004-08-29 18:47:37Z marvin $
+# $Id: Makefile 1893 2007-07-09 22:23:28Z marvin $
 TARGETS=arping
 
 CD=cd
@@ -21,7 +21,10 @@
 
 CC=gcc
 # explicit pcap include dir is for redhat which is fux0red
-CFLAGS=-g -I/usr/local/include -L/usr/local/lib -DFINDIF=$(FINDIF) -DUSE_NETIF=$(USE_NETIF) -DOPENBSD=$(OPENBSD) -DLINUX=$(LINUX) -DSOLARIS=$(SOLARIS) -DFREEBSD=$(FREEBSD) -DMACOSX=$(MACOSX) -I/usr/include/pcap
+CFLAGS=-g -I/usr/local/include -L/usr/local/lib -DFINDIF=$(FINDIF) -DUSE_NETIF=$(USE_NETIF) -DOPENBSD=$(OPENBSD) -DLINUX=$(LINUX) -DSOLARIS=$(SOLARIS) -DFREEBSD=$(FREEBSD) -DMACOSX=$(MACOSX) -I/usr/include/pcap -L/opt/csw/lib -R/opt/csw/lib
+
+CFLAGS2=-g -I/usr/local/include -I/usr/local/include/libnet-1.1 -I/usr/include/pcap -I/usr/local/include/libnet11
+LDFLAGS2=-g -L/usr/local/lib -L/usr/local/lib/libnet-1.1 -L/opt/csw/lib -L/usr/local/lib/libnet11
 
 all: message arping2
 
@@ -102,7 +105,7 @@
 arping2: arping-2/arping
 arping-2/arping: $(O_arping2)
 #	$(CC) `libnet-config --libs --defines --cflags` -o arping arping-2/arping.c -lnet -lpcap
-	$(CC) -g -o arping arping-2/arping.c -lnet -lpcap $(EXTRA_LIBS)
+	$(CC) $(CFLAGS2) $(LDFLAGS2) -o arping arping-2/arping.c -lnet -lpcap $(EXTRA_LIBS)
 
 clean:
 	rm -f *.o $(TARGETS)
@@ -123,35 +126,36 @@
 	$(GPG) -b -a $(DFILE); \
 	)
 test: arping2
-	@echo Testing with destination host $(HOST) and MAC $(MAC)
+	@echo Testing with destination host=$(HOST) and MAC=$(MAC)
+	@echo IF=$(IF)
 #	Easy ones
-	@$(SUDO) ./arping -c 1 -q $(HOST) || echo fail: arping host
-	@$(SUDO) ./arping -c 1 -q $(shell $(SUDO) ./arping -c 1 -r $(HOST)) \
+	$(SUDO) ./arping -i $(IF) -c 1 -q $(HOST) || echo fail: arping host
+	$(SUDO) ./arping -i $(IF) -c 1 -q $(shell $(SUDO) ./arping -i $(IF)  -c 1 -r $(HOST)) \
 		|| echo fail: arping mac
-	$(shell $(SUDO) ./arping -c 1 -q -t 00:11:22:33:44:55 $(HOST) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -t 00:11:22:33:44:55 $(HOST) \
 		&& echo fail: -t switch)
 
 #	-A
-	$(shell $(SUDO) ./arping -c 1 -q -A $(HOST) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -A $(HOST) \
 		&& echo fail: -A switch)
-	$(shell $(SUDO) ./arping -c 1 -q -A $(MAC) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -A $(MAC) \
 		&& echo fail: -A switch)
 
 #	Directed pings
-	$(shell $(SUDO) ./arping -c 1 -q -t $(MAC) $(HOST) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -t $(MAC) $(HOST) \
 		|| echo fail: -t switch 2)
-	$(shell $(SUDO) ./arping -c 1 -q -T $(HOST) $(MAC) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -T $(HOST) $(MAC) \
 		|| echo fail: -T switch)
-	$(shell $(SUDO) ./arping -c 1 -q -A -t $(MAC) $(HOST) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -A -t $(MAC) $(HOST) \
 		|| echo fail: -t switch with -A)
-	$(shell $(SUDO) ./arping -c 1 -q -A -T $(HOST) $(MAC) \
+	$(shell $(SUDO) ./arping -i $(IF) -c 1 -q -A -T $(HOST) $(MAC) \
 		|| echo fail: -T switch with -A)
 
 #	Ok both ways?
-	$(shell [ `$(SUDO) ./arping -c 1 -r $(HOST)` = $(MAC) ] \
+	$(shell [ `$(SUDO) ./arping -i $(IF) -c 1 -r $(HOST)` = $(MAC) ] \
 		|| echo fail: host to MAC translation weird)
-	$(shell [ `$(SUDO) ./arping -c 1 -R $(HOST)` = \
-		  `$(SUDO) ./arping -c 1 -r $(MAC)` ] \
+	$(shell [ `$(SUDO) ./arping -i $(IF) -c 1 -R $(HOST)` = \
+		  `$(SUDO) ./arping -i $(IF) -c 1 -r $(MAC)` ] \
 		|| echo fail: host to MAC translation and back weird)
 
 #	FIXME: more tests listed in arping.c

## arping 2.08

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
-# $Id: Makefile 1893 2007-07-09 22:23:28Z marvin $
+# arping/Makefile
 TARGETS=arping
 
 CD=cd
 CP=cp
 TAR=tar
 GPG=gpg
+GIT=git
 MAKE=make
 RM=rm
 SUDO=sudo
@@ -117,14 +118,9 @@
 DFILE=arping-$(V).tar.gz
 DDIR=arping-$(V)
 dist:
-	($(CD) ..; \
-	$(CP) -ax arping $(DDIR); \
-	$(RM) -fr $(DDIR)/{.\#*,CVS,.svn,*~} \
-		$(DDIR)/arping-2/{.\#*,CVS,.svn,*~}; \
-	$(MAKE) -C $(DDIR) doc; \
-	$(TAR) cfz $(DFILE) $(DDIR); \
-	$(GPG) -b -a $(DFILE); \
-	)
+	$(GIT) archive --format=tar --prefix=arping-$(V)/ arping-$(V) | gzip -9 > arping-$(V).tar.gz
+	$(GPG) -b -a $(DFILE)
+
 test: arping2
 	@echo Testing with destination host=$(HOST) and MAC=$(MAC)
 	@echo IF=$(IF)

## arping 2.09

=== debian/changelog ===
arping (2.09-2) unstable; urgency=low

  * [084a112] Fix a FTBFS on kfreebsd. (Closes: #577002) - thanks to
    Petr Salinger

 -- Giuseppe Iuculano <iuculano@debian.org>  Fri, 09 Apr 2010 17:47:14 +0200

arping (2.09-1) unstable; urgency=low

  * [ae34a1a] Switch to quilt
  * [6fefc48] Updated my email address
  * [a4d6a0d] Bump debhelper
  * [1280d1e] Bump to Standards-Version 3.8.4
  * [ee5d7be] Updated watch file
  * [3f22b39] Imported Upstream version 2.09
  * [2cab0a0] Switch to dpkg-source 3.0 (quilt) format
  * [44915d7] Added autotools-dev in BUild-depends and copy
    config.sub/guess at build time
  * [cd3e6d3] Remove config.guess and config.sub at build time
  * [183451b] arping-scan-net.sh is now in extra/
  * [f432d2a] removed 01_fix_makefile.patch
  * [951cfa4] Added ${misc:Depends} in Depends and removed quilt
  * [eb272a9] dh-clean-k-is-deprecated, use dh_prep
  * [c45d3b6] Refreshed 02_fix_manpage.patch
  * [ba77b60] Added VCS control fields

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 04 Apr 2010 11:36:04 +0200

arping (2.08-1) unstable; urgency=low

  * New upstream release
  * Re-patch new arping.8 for fixing manpage-has-errors-from-man and
    hyphen-used-as-minus-sign lintian warnings
  * debian/copyright: Updated copyright year and url where arping was
    downloaded

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Fri, 15 Aug 2008 22:44:52 +0200

arping (2.07~pre1-3) unstable; urgency=low

  * Removed if-up.d script, there is a similar script in ifupdown-extra.
    Moved to examples/ (Closes: #492461)
    + Removed lsb-base from Depends and come back to debhelper (>= 5)
    + debian/control: removed dh_installinit and dh_installifupdown
    + debian/arping.example: Added debian/arping.if-up and arping.if-up
    + Updated Readme.Debian

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 27 Jul 2008 03:30:59 +0200

arping (2.07~pre1-2) unstable; urgency=low

  * Added a patch (improved) that adds a network/ip-up.d script for using
    arping to check for IP duplicates after bringing up the interface. Thanks
    to Robert Millan (Closes: #431066)
  * debian/rules:
    + Removed CFLAGS settings, this is now done by dpkg-buildpackage
    + Added dh_installinit and dh_installifupdown in binary-arch section
  * debian/control: 
    + Added lsb-base (>= 3.0-10) to Depends (debian/arping.if-up needs it)
    + Modified debhelper version in Build-Depends, debhelper (>= 5.0.44~),
      dh_installinit is in debhelper (>= 5.0.44~) 

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Mon, 30 Jun 2008 16:45:28 +0200

arping (2.07~pre1-1) unstable; urgency=low

  * New upstream release. libnet is now initialized correctly, which fixes the
    segmentation fault on imbecile user input. (Closes: #210992)
  * New maintainer, thanks to LENART Janos for the prior work on arping
    (Closes: #487334)
  * Rewrite debian/rules, now handles nostrip build option (Closes: #436472)
  * Added debhelper level (5)
  * Switch to dpatch
    + 01_fix_makefile.dpatch fixed some common path problems
    + 02_fix_manpage.dpatch fixed lintian warning manpage-has-errors-from-man,
      hyphen-used-as-minus-sign
  * Added debian/examples debian/docs
  * Added debhelper (>= 5) to Build-Depends
  * Updated to standards version 3.8.0
    + Added Homepage control field
  * Removed libpcap0.8-dev from Build-depends and added libpcap-dev

 -- Giuseppe Iuculano <giuseppe@iuculano.it>  Sun, 22 Jun 2008 16:17:14 +0200

arping (2.05-2) unstable; urgency=low

  * QA upload.
  * Restore LENART Janos as maintainer at his request.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sun, 23 Jul 2006 02:40:33 +0200

arping (2.05-1) unstable; urgency=low

  * New upstream release.
  * Set Maintainer to Debian QA Group.
  * Bump Standards-Version to 3.7.0.
  * Add watch file.  closes: #255861.
  * Add copyright to copyright file.  closes: #290058.
  * Remove XSIism from rules file.
  * Change build-dep from libpcap-dev to libpcap0.8-dev.
  * Update FSF address in the copyright file.

 -- Clint Adams <schizo@debian.org>  Thu, 27 Apr 2006 00:36:14 -0400

arping (2.01-3) unstable; urgency=medium

  * Setgid removed (on control-directory).           (closes: Bug#234481)
  * Bashism fixed.                                   (closes: Bug#230342)

 -- Lenart Janos <ocsi@debian.org>  Sat, 13 Mar 2004 22:50:04 +0100

arping (2.01-2) unstable; urgency=medium

  * Fixed Build-Depends.                             (closes: Bug#220760)

 -- Lenart Janos <ocsi@debian.org>  Fri, 26 Dec 2003 11:37:16 +0100

arping (2.01-1) unstable; urgency=medium

  * New upstream release. Take care: minor changes!  (closes: Bug#136311,
                                                              Bug#210992,
							      Bug#214259)
  * Changed Depends: libnet0-dev to libnet1-dev.
  * Joined, and carefully edited copyright file ;)
  * Upgraded Standards-Version.

 -- Lenart Janos <ocsi@debian.org>  Sun,  2 Nov 2003 13:09:45 +0100

arping (1.05-1) unstable; urgency=low

  * New upstream release.
  * Last NMU accepted.                               (closes: Bug#156191)
  * Upgraded Standards-Version.

 -- Lenart Janos <ocsi@debian.org>  Tue,  5 Nov 2002 23:57:58 +0100

arping (1.04-1.1) unstable; urgency=low

  * Non maintainer upload
  * Rebuilt with new libpcap to remove dependency on libpcap0, which I
    got removed from unstable by accident. Sorry about this...

 -- Torsten Landschoff <torsten@debian.org>  Sat, 10 Aug 2002 11:36:43 +0200

arping (1.04-1) unstable; urgency=low

  * New upstream release.
  * Fixed Build-Depends.                             (closes: Bug#134857)
  
 -- Lenart Janos <ocsi@debian.org>  Fri, 22 Feb 2002 18:30:46 +0100

arping (1.02-2) unstable; urgency=low

  * Added include net/ethernet.h into arping.c so it may comile on the
    s390 architecture.                               (closes: Bug#123663)
  * Fixed debian/{post,pre}{inst,rem}.



=== debian/control ===
Source: arping
Section: net
Priority: optional
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Build-Depends: debhelper (>= 7), libnet1-dev, libpcap-dev, autotools-dev
Standards-Version: 3.8.4
Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
Vcs-git: git://git.debian.org/users/iuculano/arping.git
Vcs-Browser: http://git.debian.org/?p=users/iuculano/arping.git

Package: arping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: iputils-arping, iputils-ping (<< 20001110-6)
Description: sends IP and/or ARP pings (to the MAC address)
 The arping utility sends ARP and/or ICMP requests to the specified host
 and displays the replies. The host may be specified by its hostname,
 its IP address, or its MAC address.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for arping by Lenart Janos.
# Written from scratch.
# Re-written by Giuseppe Iuculano

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_FLAGS += -s
endif
		


configure: configure-stamp
configure-stamp:
	cp -f /usr/share/misc/config.sub config.sub
	cp -f /usr/share/misc/config.guess config.guess
	dh_auto_configure
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	$(MAKE) DESTDIR=$(CURDIR)/debian/arping 
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.status config.sub config.guess config.log
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/arping

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure

## arping 2.11

=== debian/changelog ===
arping (2.11-1) unstable; urgency=low

  * [8b5403e] Imported Upstream version 2.11
  * [2331064] Removed patches applied upstream
  * [c8843de] use build-arch and build-indep
  * [214c6ca] Bump to standards-version 3.9.3, no changes needed
  * [fe03b17] Use hardening-wrapper

 -- Giuseppe Iuculano <iuculano@debian.org>  Sun, 01 Apr 2012 12:16:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Giuseppe Iuculano <iuculano@debian.org>
-Build-Depends: debhelper (>= 7), libnet1-dev, libpcap-dev, autotools-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), libnet1-dev, libpcap-dev, autotools-dev, hardening-wrapper
+Standards-Version: 3.9.3
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-git: git://git.debian.org/users/iuculano/arping.git
 Vcs-Browser: http://git.debian.org/?p=users/iuculano/arping.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_FLAGS += -s
 endif
-		
+
+export DEB_BUILD_HARDENING=1
 
 
 configure: configure-stamp
@@ -17,7 +18,9 @@
 	dh_testdir
 	touch configure-stamp
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp
 	$(MAKE) DESTDIR=$(CURDIR)/debian/arping

## arping 2.14

=== debian/changelog ===
arping (2.14-1) unstable; urgency=low

  * [fb6f4d7] Imported Upstream version 2.14
    - Fixed -w issue (Closes: #714042)
  * [82c064d] Removed patches applied upstream
  * [5da3a23] debian/control: Use canonical VCS field
  * [87c7348] Added build-arch and build-indep targets
  * [1e6fb8e] Switch to debhelper 9 compatibility
  * [d282404] Update to Standards-Version 3.9.5, no changes need
  * [19c2d75] Rewrite debian/rules with new dh syntax

 -- Giuseppe Iuculano <iuculano@debian.org>  Sat, 04 Oct 2014 18:24:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: net
 Priority: optional
 Maintainer: Giuseppe Iuculano <iuculano@debian.org>
-Build-Depends: debhelper (>= 7), libnet1-dev, libpcap-dev, autotools-dev, hardening-wrapper
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libnet1-dev, libpcap-dev, autotools-dev
+Standards-Version: 3.9.5
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
-Vcs-git: git://git.debian.org/users/iuculano/arping.git
-Vcs-Browser: http://git.debian.org/?p=users/iuculano/arping.git
+Vcs-git: git://anonscm.debian.org/users/iuculano/arping.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/iuculano/arping.git
 
 Package: arping
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for arping by Lenart Janos.
# Written from scratch.
# Re-written by Giuseppe Iuculano

#DH_VERBOSE = 1
%:
	dh $@  --with autotools-dev

=== debian/watch ===
version=3
opts=dversionmangle=s/~// \
 http://www.habets.pp.se/synscan/files/arping-(.*)\.tar\.gz

## arping 2.19

=== debian/changelog ===
arping (2.19-1) unstable; urgency=medium

  * New upstream version 2.19 (Closes: #846924)
  * Update copyright years for upstream files
  * debian/control: Add check to Build-Depends
  * Correct paths to example files in README.Debian

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 02 Aug 2017 15:59:44 +0200

arping (2.14-2) unstable; urgency=medium

  * New maintainer for arping.
    Thanks to Giuseppe Iuculano for all the previous work on arping.
    (Closes: #866831)
  * Really do not install /etc/network/if-up.d/arping anymore.
    Even the files were installed to the examples directory due to the use
    of the default filenames used by dh_installinit and dh_installfiupdown
    th files were additionally still be installed to
    /etc/network/if-up.d/arping and /etc/default/arping. (Closes: #492461)
  * Properly remove obsolete /etc/default/arping and if-up.d script
  * Update Vcs-(Git|Browser) fields for new location in collab-maint
  * Bump Debhelper compat level to 10
  * Drop explicit Build-Depends on autotools-dev
  * debian/copyright: Update format to copyright-format 1.0
  * Import upstream public OpenPGP key in debian/upstream/signing-key.asc
  * Instruct uscan to verify upstream releases' OpenPGP signature
  * Add patch to fix spelling error in manpage of arping.8
  * Declare compliance with Debian policy 4.0.0
  * debian/control: Wrap and sort fields
  * Drop Conflicts with ancient version of iputils-ping

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 02 Aug 2017 09:48:36 +0200

=== debian/control ===
Source: arping
Section: net
Priority: optional
Maintainer: Salvatore Bonaccorso <carnil@debian.org>
Build-Depends: check, debhelper (>= 10), libnet1-dev, libpcap-dev
Standards-Version: 4.0.0
Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/arping.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/arping.git

Package: arping
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: iputils-arping
Description: sends IP and/or ARP pings (to the MAC address)
 The arping utility sends ARP and/or ICMP requests to the specified host
 and displays the replies. The host may be specified by its hostname,
 its IP address, or its MAC address.

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,4 @@
 
 #DH_VERBOSE = 1
 %:
-	dh $@  --with autotools-dev
+	dh $@

=== debian/watch ===
version=3
opts="dversionmangle=s/~//,pgpsigurlmangle=s/$/.asc/" \
 http://www.habets.pp.se/synscan/files/arping-(.*)\.tar\.gz

## arping 2.20

=== debian/changelog ===
arping (2.20-1) unstable; urgency=medium

  * New upstream version 2.20
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Drop spelling-error-in-manpage.patch (applied upstream)
  * Drop Fall-back-to-gettimeofday-if-clock_gettime-fails.patch (applied
    upstream)
  * Drop Provide-configure-time-fallback-for-cross-compile-ch.patch (applied
    upstream)
  * Drop Further-improvement-for-cross-compiling.patch (applied upstream)
  * Drop Further-simplify-CLOCK_MONOTONIC-check.patch (applied upstream)
  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * Declare compliance with Debian policy 4.4.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Oct 2019 09:04:02 +0200

arping (2.19-6) unstable; urgency=medium

  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * GitLab CI/Lintian: install dpkg-dev, that ships dpkg-architecture, needed
    to run some Lintian checks
  * Replace home-made GitLab CI with the standard Salsa pipeline
  * Bump Debhelper compat level to 12
  * Declare compliance with Debian policy 4.3.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2018 14:11:07 +0100

arping (2.19-5) unstable; urgency=medium

  * Add an initial Gitlab CI config file
  * Add simple smoke test for autopkgtest
  * Declare compliance with Debian policy 4.1.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 May 2018 14:10:02 +0200

arping (2.19-4) unstable; urgency=medium

  * Update Vcs-* headers for switch to salsa.debian.org
  * Bump Debhelper compat level to 11
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.1.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 Feb 2018 10:21:13 +0100

arping (2.19-3) unstable; urgency=medium

  * Use debhelper integraton for dpkg-maintscript-helper.
    Instead of using the snippets in postrm, preinst and postinst maintainer
    scripts use the debhelper integration.
  * Set Rules-Requires-Root to no

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 22 Nov 2017 21:08:09 +0100

arping (2.19-2) unstable; urgency=medium

  * Add debian/upstream/metadata
  * Fall back to gettimeofday() if clock_gettime() fails
  * Fix "FTCBFS: uses AC_TRY_RUN"
    - Provide configure-time fallback for cross-compile checks.
    - Further improvement for cross-compiling.
    Thanks to Helmut Grohne and Thomas Habets (Closes: #877402)
  * Further simplify CLOCK_MONOTONIC check
  * debian/watch: Bump format to version 4.
    Use @PACKAGE@, @ANY_VERSION@ and @ARCHIVE_EXT@ substitutions.
    Replace use of pgpsigurlmangle with pgpmode=auto and let uscan check
    various possible URLs for the signature file on its own.
  * Declare compliance with Debian policy 4.1.1

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 04 Oct 2017 21:56:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: check, debhelper (>= 10), libnet1-dev, libpcap-dev
-Standards-Version: 4.0.0
+Build-Depends: check, debhelper-compat (= 12), libnet1-dev, libpcap-dev
+Standards-Version: 4.4.1
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/arping.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/arping.git
+Vcs-Browser: https://salsa.debian.org/debian/arping
+Vcs-Git: https://salsa.debian.org/debian/arping.git
+Rules-Requires-Root: no
 
 Package: arping
 Architecture: any

## arping 2.21

=== debian/changelog ===
arping (2.21-2) unstable; urgency=medium

  * unit tests: Remove test registry code in favour of code duplication
    (Closes: #980595)
  * Declare compliance with Debian policy 4.5.1
  * Update copyright years for debian/* packaging files
  * Bump Debhelper compat level to 13

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 21 Jan 2021 06:29:56 +0100

arping (2.21-1) unstable; urgency=medium

  * New upstream version 2.21
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.5.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 15 Mar 2020 14:56:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: check, debhelper-compat (= 12), libnet1-dev, libpcap-dev
-Standards-Version: 4.4.1
+Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev
+Standards-Version: 4.5.1
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
 Vcs-Git: https://salsa.debian.org/debian/arping.git

## arping 2.22

=== debian/changelog ===
arping (2.22-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    - Remove 2 maintscript entries from 1 files.

  [ Salvatore Bonaccorso ]
  * debian/test/control: smoke-test: Mark as superficial (Closes: #971450)
  * Rename Salsa CI configuration file to debian/salsa-ci.yml
  * Remove obsolete fields Name, Contact from debian/upstream/metadata
  * Declare compliance with Debian policy 4.6.0
  * New upstream version 2.22
  * debian/watch: Switch to HTTPS transport in watch URL

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 Dec 2021 15:15:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
 Vcs-Git: https://salsa.debian.org/debian/arping.git

## arping 2.23

=== debian/changelog ===
arping (2.23-1) unstable; urgency=medium

  * New upstream version 2.23
  * Update copyright years for upstream files.
  * Update copyright years for debian/* packaging files
  * debian/control: Add Build-Depends on libseccomp-dev

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 23 Mar 2022 13:16:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev
+Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev, libseccomp-dev
 Standards-Version: 4.6.0
 Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping

## arping 2.24

=== debian/changelog ===
arping (2.24-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:21:22 +1100

arping (2.24-1build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:58:12 +0100

arping (2.24-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Submit.

  [ Salvatore Bonaccorso ]
  * New upstream version 2.24
  * Declare compliance with Debian policy 4.6.2
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 17 Jan 2024 06:29:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: arping
 Section: net
 Priority: optional
-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev, libseccomp-dev
-Standards-Version: 4.6.0
-Homepage: http://www.habets.pp.se/synscan/programs.php?prog=arping
+Standards-Version: 4.6.2
+Homepage: https://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
 Vcs-Git: https://salsa.debian.org/debian/arping.git
 Rules-Requires-Root: no

## arping 2.25

=== debian/changelog ===
arping (2.25-1) unstable; urgency=medium

  * New upstream version 2.25

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 13 Jul 2024 07:58:46 +0200

arping (2.24-2) unstable; urgency=medium

  * seccomp: Check for and allow statx (Closes: #1070786)
  * Declare compliance with Debian policy 4.7.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 10 May 2024 06:39:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: arping
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev, libseccomp-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
 Vcs-Git: https://salsa.debian.org/debian/arping.git

=== debian/watch ===
version=4
opts="dversionmangle=s/~//,pgpmode=auto" \
 https://www.habets.pp.se/synscan/files/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## arping 2.26

=== debian/changelog ===
arping (2.26-1build1) resolute; urgency=medium

  * No-change rebuild for libnet9.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 31 Oct 2025 14:07:32 +0000

arping (2.26-1) unstable; urgency=medium

  * New upstream version 2.26
  * Declare compliance with Debian policy 4.7.2
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 09 Aug 2025 21:28:53 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev, libseccomp-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
 Vcs-Git: https://salsa.debian.org/debian/arping.git

## arping 2.28

=== debian/changelog ===
arping (2.28-1) unstable; urgency=medium

  * New upstream version 2.28
  * Update copyright years for upstream files
  * debian/watch: use uscan version 5
  * debian/control: Remove "Priority: optional" (default)
  * Declare compliance with Debian policy 4.7.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 30 Dec 2025 11:25:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: arping
 Section: net
-Priority: optional
 Maintainer: Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: check, debhelper-compat (= 13), libnet1-dev, libpcap-dev, libseccomp-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.habets.pp.se/synscan/programs.php?prog=arping
 Vcs-Browser: https://salsa.debian.org/debian/arping
 Vcs-Git: https://salsa.debian.org/debian/arping.git

=== debian/watch ===
Version: 5
Source: https://www.habets.pp.se/synscan/files/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
Dversionmangle: s/~//
